Skip to main content
PUT
schedule maint

Authorizations

Authorization
string
header
required

API key must be provided in the Authorization header

Path Parameters

machine_id
integer
required

ID of the machine to schedule maintenance for.

Example:

12345

Body

application/json
sdate
string<date-time>
required

Start date and time of the maintenance window.

Example:

"2023-10-30T14:00:00Z"

duration
integer
required

Duration of the maintenance window in hours.

Example:

2

maintenance_reason
string

Reason for the maintenance.

Example:

"Routine hardware check"

maintenance_category
enum<string>

Category of the maintenance.

Available options:
power,
internet,
disk,
gpu,
software,
other
Example:

"software"

Response

Success response

success
boolean
Example:

true

you_sent
string
Example:

"2 notifications sent"